package com.jh.common.domain;

public class NamedValue<T> {

    /** The name. */
    private String name;

    /** The value. */
    private T value;
    
    /** The id. */
    private Long id;

    /**
     * Instantiates a new named value.
     *
     * @param name the name
     * @param value the value
     */
    public NamedValue(String name, T value) {
        super();
        this.name = name;
        this.value = value;
    }

    /**
     * Instantiates a new named value.
     *
     * @param id the id
     * @param name the name
     * @param value the value
     */
    public NamedValue(Long id, String name, T value) {
        super();
        this.id = id;
        this.name = name;
        this.value = value;
    }

    /**
     * Gets the name.
     *
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * Gets the value.
     *
     * @return the value
     */
    public T getValue() {
        return value;
    }

	/**
	 * Gets the id.
	 *
	 * @return the id
	 */
	public Long getId() {
		return id;
	}

}