package com.jh.common.security;

/**
 * The Class AuthError.
 */
public class AuthError {

	/** The Constant USERNAME_FIELD. */
	public static final String USERNAME_FIELD = "username";
	
	/** The Constant PASSWORD_FIELD. */
	public static final String PASSWORD_FIELD = "password";
	
	/** The field. */
	String field;
	
	/** The code. */
	String code;

	
	/**
	 * Instantiates a new auth error.
	 *
	 * @param field the field
	 * @param error the error
	 */
	public AuthError(String field, String error) {
		super();
		this.field = field;
		this.code = error;
	}
	

	/**
	 * Gets the field.
	 *
	 * @return the field
	 */
	public String getField() {
		return field;
	}

	
	/**
	 * Gets the code.
	 *
	 * @return the code
	 */
	public String getCode() {
		return code;
	}
	
	
	/**
	 * Username error.
	 *
	 * @param error the error
	 * @return the auth error
	 */
	public static AuthError usernameError(String error) {
		return new AuthError(USERNAME_FIELD, error);
	}
	
	/**
	 * Password error.
	 *
	 * @param error the error
	 * @return the auth error
	 */
	public static AuthError passwordError(String error) {
		return new AuthError(PASSWORD_FIELD, error);
	}
	
}
