package com.jh.common.security;

import java.util.List;

import org.springframework.security.authentication.BadCredentialsException;
import org.springframework.security.core.Authentication;



/**
 * TODO.
 *
 * @author jh
 */
public interface AuthService {

	/**
	 * Authenticate.
	 *
	 * @param username the username
	 * @param password the password
	 * @return the authentication
	 * @throws BadCredentialsException the bad credentials exception
	 */
	Authentication authenticate(String username, String password) throws BadCredentialsException;
	
	/**
	 * Register.
	 *
	 * @param signup the signup
	 * @return the list
	 */
	List<AuthError> register(Signup signup);
	
	
	/**
	 * This method is responsible for creating new reset password request
	 * for provided login (or should do nothing if the login is unknown).
	 * 
	 * <p>The way of letting the user know the token is up to the implementation</p>
	 * 
	 * @param login
	 */
	void generateResetToken(String login);

	/**
	 * TODO
	 * @param resetPassword
	 * 
	 * @return
	 */
	List<AuthError> resetPassword(ResetPassword resetPassword);
	
	
}
