package com.jh.common.security;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.authentication.AuthenticationProvider;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.AuthenticationException;


/**
 * The Class UserAuthenticationProvider.
 */
//TODO
public class AuthServiceAuthenticationProvider implements AuthenticationProvider {

    /** The auth service. */
    private AuthService authService;
    
    
    /**
     * Authenticate.
     *
     * @param authentication the authentication
     * @return the authentication
     * @throws AuthenticationException the authentication exception
     * @see org.springframework.security.authentication.AuthenticationProvider#authenticate(org.springframework.security.core.Authentication)
     */
    @Override
    public Authentication authenticate(Authentication authentication) throws AuthenticationException {
        String email = String.valueOf(authentication.getPrincipal());
        String password = String.valueOf(authentication.getCredentials());
        
        //TODO refactor
        return authService.authenticate(email, password);
    }
    

    /**
     * Supports.
     *
     * @param authentication the authentication
     * @return true, if successful
     * @see org.springframework.security.authentication.AuthenticationProvider#supports(java.lang.Class)
     */
    @Override
    public boolean supports(Class<?> authentication) {
        return true;
    }

    
    @Autowired
	public void setAuthService(AuthService authService) {
		this.authService = authService;
	}

    
}
