package com.jh.common.security;

/**
 * The Class PasswordHash.
 */
public class PasswordHash {

	/** The hash. */
	private String hash;
	
	/** The salt. */
	private String salt;
	
	/** The iterations. */
	private int iterations;
	
	
	/**
	 * Instantiates a new password hash.
	 *
	 * @param hash the hash
	 * @param salt the salt
	 */
	public PasswordHash(String hash, String salt) {
		this(hash, salt, 1);
	}
	

	/**
	 * Instantiates a new password hash.
	 *
	 * @param hash the hash
	 * @param salt the salt
	 * @param iterations the iterations
	 */
	public PasswordHash(String hash, String salt, int iterations) {
		super();
		this.hash = hash;
		this.salt = salt;
		this.iterations = iterations;
	}

	/**
	 * Gets the hash.
	 *
	 * @return the hash
	 */
	public String getHash() {
		return hash;
	}

	/**
	 * Gets the salt.
	 *
	 * @return the salt
	 */
	public String getSalt() {
		return salt;
	}

	/**
	 * Gets the iterations.
	 *
	 * @return the iterations
	 */
	public int getIterations() {
		return iterations;
	}


	/**
	 * @return
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "PasswordHash [hash=" + hash + ", salt=" + salt + ", iterations=" + iterations + "]";
	}
	
	
	
}
