package com.jh.common.security.repository;

import javax.persistence.Query;

import org.springframework.util.StringUtils;

import com.jh.common.jpa.AbstractHibernateRepository;
import com.jh.common.security.model.AppUser;


public class AppUserRepository extends AbstractHibernateRepository {

	public AppUser findByUsername(String username) {
		if (!StringUtils.hasText(username)) {
			return null;
		}
		Query q = entityManager.createQuery("select au from AppUser au where lower(au.email) = :email");
		q.setParameter("email", username.trim().toLowerCase());
		return singleResult(q);
	}
	
}
