package com.jh.common.security.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.authentication.BadCredentialsException;
import org.springframework.security.authentication.UsernamePasswordAuthenticationToken;
import org.springframework.security.core.Authentication;
import org.springframework.transaction.annotation.Transactional;

import com.jh.common.security.AuthError;
import com.jh.common.security.AuthService;
import com.jh.common.security.PasswordUtils;
import com.jh.common.security.ResetPassword;
import com.jh.common.security.Signup;
import com.jh.common.security.model.AppUser;
import com.jh.common.security.repository.AppUserRepository;



public class AppUserAuthService implements AuthService {

	
	private AppUserRepository appUserRepository;

	@Override
	@Transactional
	public Authentication authenticate(String username, String password) throws BadCredentialsException {
		AppUser user = appUserRepository.findByUsername(username);
		if (user == null) {
			throw new BadCredentialsException("User not found");
		}
		if (!PasswordUtils.checkPassword(password, user.getPassword(), user.getPasswordSalt())) {
			throw new BadCredentialsException("Bad password");
		}
		return new UsernamePasswordAuthenticationToken(user.getEmail(), user.getPassword());
	}

	@Override
	public List<AuthError> register(Signup signup) {
		return null;
	}

	@Override
	public void generateResetToken(String login) {

	}

	@Override
	public List<AuthError> resetPassword(ResetPassword resetPassword) {
		return null;
	}

	@Autowired(required = false)
	public void setAppUserRepository(AppUserRepository appUserRepository) {
		this.appUserRepository = appUserRepository;
	}

}
