/*
 * Created on 19. 12. 2017 12:29:34
 *
 */
package com.jh.common.utils;

import java.util.Base64;
import java.util.Base64.Encoder;

/**
 * The Class DataURLUtils.
 *
 * @author Jan Hrabal
 */
public class DataURLUtils {

    /** The encoder. */
    private static Encoder encoder = Base64.getEncoder();
    
    /**
     * Instantiates a new data URL utils.
     */
    private DataURLUtils() {
        
    }
    
    
    /**
     * Png.
     *
     * @param image the image
     * @return the string
     */
    public static String png(byte[] image) {
        return "data:image/png;base64," + encoder.encodeToString(image);
    }
    
    
    /**
     * Jpg.
     *
     * @param image the image
     * @return the string
     */
    public static String jpg(byte[] image) {
        return "data:image/jpeg;base64," + encoder.encodeToString(image);
    }
    
}
