/*
 * Created on 2. 8. 2017 9:50:42
 *
 */
package com.jh.common.utils;

import java.io.InputStream;
import java.util.Scanner;

/**
 * The Class InputStreamUtils.
 *
 * @author Jan Hrabal
 */
public class InputStreamUtils {

    /**
     * Read content.
     *
     * @param stream the stream
     * @return the string
     */
    @SuppressWarnings("resource")
    public static String readContent(InputStream stream) {
        if (stream == null) {
            return null;
        }

        try (InputStream is = stream) {
            Scanner s = new Scanner(is).useDelimiter("\\A");
            String content = s.hasNext() ? s.next() : null;
            s.close();
            
            return content;

        } catch (Exception e) {
            throw new IllegalStateException(String.format("Cannot read index file '%s'."), e);
        }
    }
    
}
