package com.jh.common.web;

import org.springframework.http.HttpStatus;
import org.springframework.orm.hibernate5.HibernateOptimisticLockingFailureException;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseStatus;

/**
 * The Class GlobalControllerExceptionHandler.
 */
@ControllerAdvice
class GlobalControllerExceptionHandler {
 
	/**
	 * Handle conflict.
	 */
	@ResponseStatus(HttpStatus.CONFLICT)
    @ExceptionHandler(HibernateOptimisticLockingFailureException.class)
    public void handleConflict() {
	}
}