package com.jh.common.web.error;

import java.util.Collection;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

/**
 * The Class BadRequestException.
 */
@ResponseStatus(value = HttpStatus.BAD_REQUEST)
public class BadRequestException extends RestApiException {
    
    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /**
     * Instantiates a new bad request exception.
     *
     * @param errors the errors
     */
    public BadRequestException(Collection<ErrorMessage> errors) {
        super(HttpStatus.BAD_REQUEST, errors);
        
    }

    /**
     * Instantiates a new bad request exception.
     *
     * @param errors the errors
     */
    public BadRequestException(ErrorMessage... errors) {
        super(HttpStatus.BAD_REQUEST, errors);
        
    }

    
    
    
}
