/*
 * Created on 9. 11. 2017 10:26:30
 *
 */
package com.jh.common.web.error;

import java.util.Collection;

/**
 * The Class ErrorMessagesException.
 *
 * @author Jan Hrabal
 */
public abstract class ErrorMessagesException extends RuntimeException implements ErrorMessages {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /** The errors. */
    private ErrorMessage[] errors;
    
    
    /**
     * Instantiates a new error messages exception.
     *
     * @param errors the errors
     */
    public ErrorMessagesException(ErrorMessage...errors) {
        super();
        this.errors = errors;
    }

    /**
     * Instantiates a new error messages exception.
     *
     * @param errors the errors
     */
    public ErrorMessagesException(Collection<ErrorMessage> errors) {
        super();
        ErrorMessage[] errs = new ErrorMessage[0];
        this.errors = errors == null ? errs : errors.toArray(errs);
    }    
    
    /**
     * Gets the error messages.
     *
     * @return the error messages
     * @see de.dhl.spms.api.ErrorMessages#getErrorMessages()
     */
    @Override
    public ErrorMessage[] getErrorMessages() {
        return errors;
    }

}
