package com.jh.common.web.error;

import java.util.Collection;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

/**
 * The Class NotFoundException.
 */
@ResponseStatus(value = HttpStatus.NOT_FOUND)
public class NotFoundException extends RestApiException {
    
    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /**
     * Instantiates a new not found exception.
     *
     * @param errors the errors
     */
    public NotFoundException(Collection<ErrorMessage> errors) {
        super(HttpStatus.NOT_FOUND, errors);
        
    }

    /**
     * Instantiates a new not found exception.
     *
     * @param errors the errors
     */
    public NotFoundException(ErrorMessage... errors) {
        super(HttpStatus.NOT_FOUND, errors);
    }
    
    
}
