/*
 * Created on 24. 1. 2018 8:46:58
 *
 */
package com.jh.common.web.error;

import java.util.Collection;

import org.springframework.http.HttpStatus;

/**
 * The Class RestApiException.
 *
 * @author Jan Hrabal
 */
public class RestApiException extends ErrorMessagesException implements ErrorStatus {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

    /** The status. */
    private HttpStatus status;
    
    /**
     * Instantiates a new rest api exception.
     *
     * @param status the status
     * @param errors the errors
     */
    public RestApiException(HttpStatus status, ErrorMessage... errors) {
        super(errors);
        this.status = status;
    }

    /**
     * Instantiates a new rest api exception.
     *
     * @param status the status
     * @param errors the errors
     */
    public RestApiException(HttpStatus status, Collection<ErrorMessage> errors) {
        super(errors);
        this.status = status;

    }

    /**
     * Gets the error status.
     *
     * @return the error status
     * @see com.jh.common.web.error.ErrorStatus#getErrorStatus()
     */
    @Override
    public HttpStatus getErrorStatus() {
        return status;
    }

}
