package com.jh.common.web.list;

/**
 * Default implementation of {@link SortingInfo}.
 *
 * @author jh
 */
public class DefaultSortingInfo implements SortingInfo {
    
    /** The field. */
    private String field;

    /** The trend. */
    private SortTrend trend;

    /**
     * Instantiates a new default sorting info.
     *
     * @param field the field
     * @param trend the trend
     */
    public DefaultSortingInfo(String field, SortTrend trend) {
        super();
        this.field = field;
        this.trend = trend;
    }

    /**
     * @return
     * @see com.jh.common.web.list.SortingInfo#getField()
     */
    @Override
    public String getField() {
        return field;
    }

    /**
     * @return
     * @see com.jh.common.web.list.SortingInfo#getTrend()
     */
    @Override
    public SortTrend getTrend() {
        return trend;
    }

    
    
    /**
     * Asc.
     *
     * @param field the field
     * @return the sorting info
     */
    public static final SortingInfo asc(String field) {
    	return new DefaultSortingInfo(field, SortTrend.ASCENDING);
    }

    /**
     * Desc.
     *
     * @param field the field
     * @return the sorting info
     */
    public static final SortingInfo desc(String field) {
    	return new DefaultSortingInfo(field, SortTrend.DESCENDING);
    }
    
}