package com.jh.common.web.list;

import org.springframework.core.MethodParameter;
import org.springframework.web.bind.support.WebDataBinderFactory;
import org.springframework.web.context.request.NativeWebRequest;
import org.springframework.web.method.support.HandlerMethodArgumentResolver;
import org.springframework.web.method.support.ModelAndViewContainer;

/**
 * The Class PagingArgumentResolver.
 */
public class PagingArgumentResolver implements HandlerMethodArgumentResolver {
    

    /**
     * @param parameter
     * @return
     * @see org.springframework.web.method.support.HandlerMethodArgumentResolver#supportsParameter(org.springframework.core.MethodParameter)
     */
    @Override
    public boolean supportsParameter(MethodParameter parameter) {
        return parameter.getParameterType().equals(PagingInfo.class);
    }

    
    /**
     * @param parameter
     * @param mavContainer
     * @param webRequest
     * @param binderFactory
     * @return
     * @throws Exception
     * @see org.springframework.web.method.support.HandlerMethodArgumentResolver#resolveArgument(org.springframework.core.MethodParameter, org.springframework.web.method.support.ModelAndViewContainer, org.springframework.web.context.request.NativeWebRequest, org.springframework.web.bind.support.WebDataBinderFactory)
     */
    @Override
    public Object resolveArgument(MethodParameter parameter, ModelAndViewContainer mavContainer, NativeWebRequest webRequest, WebDataBinderFactory binderFactory) throws Exception {
    	DefaultSorting defaultSorting = parameter.getMethodAnnotation(DefaultSorting.class);
    	if (defaultSorting == null) {
    		defaultSorting = parameter.getParameterAnnotation(DefaultSorting.class);
    	}
    	
    	if (defaultSorting != null) {
    		return ListHelper.readPagingInfo(webRequest, defaultSorting.field(), defaultSorting.trend());
    	}
    	
    	return ListHelper.readPagingInfo(webRequest);
    }
}